/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.entity.Qfcbcqgl;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 存储崔欠工作管理信息
 *
 * @author admin
 * @date Mon Aug 29 00:00:00 CST 2022
 */
public interface QfcbcqglMapper extends BaseMapper<Qfcbcqgl> {
    Page<Map> countInfo(Page page,@Param("input") String input, @Param("start") String start, @Param("end") String end);

    String getStateName(@Param("id") Long state);

    List<Map> countInfo(@Param("input") String input, @Param("start") String start, @Param("end") String end);

    Map<String, Object> queryInfoByCode(@Param("code") String code);

    List<Map> rushToOweInfo(@Param("code") String code,@Param("start") String start, @Param("end") String end,@Param("node") String node);

}
